> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodwide.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dataset Metadata

> Update dataset name and/or description.



## OpenAPI

````yaml /openapi.json patch /datasets/{dataset_id}
openapi: 3.1.0
info:
  title: Woodwide API
  description: API service for the Woodwide platform
  version: 0.1.0
servers:
  - url: https://api.woodwide.ai
    description: Production
security: []
paths:
  /datasets/{dataset_id}:
    patch:
      tags:
        - Datasets
      summary: Update Dataset Metadata
      description: Update dataset name and/or description.
      operationId: update_dataset_datasets__dataset_id__patch
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDatasetRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dataset'
              example:
                dataset_id: a1b2c3d4-0000-0000-0000-000000000001
                name: my_dataset_renamed
                description: null
                created_at: '2025-01-15T10:30:00Z'
                updated_at: '2025-01-15T10:30:00Z'
                current_version:
                  version_number: 1
                  status: ready
                  row_count: 1000
                  column_count: 12
        '401':
          description: Unauthorized -- API key is missing or invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Not authenticated
        '403':
          description: >-
            Forbidden -- your API key does not have permission for this
            resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Forbidden
        '404':
          description: Not Found -- the requested resource does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: >-
            Too Many Requests -- you have exceeded the rate limit. Heavy
            operations (training, inference, dataset uploads) are limited to 60
            requests per minute per API key. All other endpoints are limited to
            600 requests per minute per API key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Rate limit exceeded. Retry after a short delay.
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateDatasetRequest:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: UpdateDatasetRequest
      description: Request to update dataset metadata.
    Dataset:
      properties:
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        current_version:
          anyOf:
            - $ref: >-
                #/components/schemas/woodwide__api__routers__datasets__schemas__CurrentVersion
            - type: 'null'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - dataset_id
        - name
        - created_at
        - updated_at
      title: Dataset
      description: Dataset response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
      description: Returned when request parameters or body fail validation.
    woodwide__api__routers__datasets__schemas__CurrentVersion:
      properties:
        version_id:
          type: string
          format: uuid
          title: Version Id
        version:
          type: integer
          title: Version
        status:
          $ref: '#/components/schemas/DatasetVersionStatus'
          description: Version status.
        schema_json:
          additionalProperties: true
          type: object
          title: Schema Json
          description: Inferred column schema.
        byte_size:
          type: integer
          title: Byte Size
          description: Size of the dataset version in bytes.
        ingest_job_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Ingest Job Id
          description: ID of the ingestion job that created this version.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the version was created.
        ready_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ready At
          description: When the version became ready for use.
      type: object
      required:
        - version_id
        - version
        - status
      title: CurrentVersion
      description: Current version detail (all DatasetVersion fields except dataset_id).
    ValidationError:
      type: object
      required:
        - loc
        - msg
        - type
      properties:
        loc:
          type: array
          items:
            type: string
          title: Location
          description: Path to the field that caused the error.
        msg:
          type: string
          title: Message
          description: Human-readable error message.
        type:
          type: string
          title: Error Type
          description: Machine-readable error type identifier.
      title: ValidationError
    DatasetVersionStatus:
      type: string
      enum:
        - processing
        - ready
        - failed
      title: DatasetVersionStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````